@page guides/contribute Contributing
@parent canjs 4

@description Learn how to contribute to CanJS!

@body

## Overview

Thank you for your interest in contributing to CanJS! CanJS is maintained by
[the DoneJS core team](https://donejs.com/About.html#core-team) but depends on
contributors like you! Whether you’re interested in [guides/contributing/finding-ways-to-contribute#Findingopenissues fixing issues],
[guides/contributing/finding-ways-to-contribute#Gettinginvolvedinthecommunity answering questions],
or [guides/contributing/evangelism spreading the word], we welcome you to our community!

Contributing to an open source project can be an intimidating experience. All
contributions from all types of contributors are welcome. We’re committed to
making it as pleasant and rewarding as possible. We’re happy to set up a pairing
session to show you how to fix a bug or write a feature.

If you have any questions, you can always
[join our Slack](https://www.bitovi.com/community/slack) and reach us in the [#canjs channel](https://bitovi-community.slack.com/messages/CFC22NZ8A).

## Code of Conduct

In the interest of fostering an open and welcoming environment, we as
contributors and maintainers pledge to make participation in our project and
community a harassment-free experience for everyone, regardless of age, body
size, disability, ethnicity, gender identity and expression, level of experience,
nationality, personal appearance, race, religion, or sexual identity and orientation.

[Please read our Code of Conduct in its entirety before participating in our community.](https://github.com/donejs/donejs/blob/master/CODE_OF_CONDUCT.md)

## Getting Help

[Our forums](https://forums.bitovi.com/c/canjs) and
[Slack](https://www.bitovi.com/community/slack) ([#canjs channel](https://bitovi-community.slack.com/messages/CFC22NZ8A))
are the best places to ask questions. The core team regularly checks both and
there are other users who generously help others.

If you’re interested in contributing to CanJS, the core team is happy to pair
with you to fix a bug or write a new feature! Please either message us on [Slack](https://www.bitovi.com/community/slack)
or the [forums](https://forums.bitovi.com/c/canjs), or leave a comment on the GitHub issue you’re interested in
helping with. We will happily walk you through setting up your development
environment, creating a test and/or writing documentation, and submitting a pull
request.
